SDL_SetGamepadMapping(3)

NAME
SDL_SetGamepadMapping - Set the current mapping of a joystick or gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetGamepadMapping(SDL_JoystickID instance_id, const char *mapping);

DESCRIPTION
Details about mappings are discussed with

SDL_AddGamepadMapping ().

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

mapping
    the mapping to use for this device, or NULL to clear the mapping.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AddGamepadMapping(3), •(3), SDL_GetGamepadMapping(3)